import 'package:cpt_auth/modules/login/login_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/auth_service.dart';
import 'package:shared/utils/log_utils.dart';

class AuthServiceImpl extends GetxService implements AuthService {

  @override
  void onInit() {
    super.onInit();
    //初始化资源
    Log.d("AuthServiceImpl 初始化资源");
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
    Log.d("AuthServiceImpl 销毁资源");
  }

  @override
  void startLoginPage() {
    LoginPage.startInstance();
  }

  @override
  void startPopAllLoginPage() {
    LoginPage.startWithPopAll();
  }
}
