import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/user_login_entity.dart';

UserLoginEntity $UserLoginEntityFromJson(Map<String, dynamic> json) {
  final UserLoginEntity userLoginEntity = UserLoginEntity();
  final int? authId = jsonConvert.convert<int>(json['auth_id']);
  if (authId != null) {
    userLoginEntity.authId = authId;
  }
  final int? companyId = jsonConvert.convert<int>(json['company_id']);
  if (companyId != null) {
    userLoginEntity.companyId = companyId;
  }
  final int? eAdminId = jsonConvert.convert<int>(json['e_admin_id']);
  if (eAdminId != null) {
    userLoginEntity.eAdminId = eAdminId;
  }
  final String? token = jsonConvert.convert<String>(json['token']);
  if (token != null) {
    userLoginEntity.token = token;
  }
  final dynamic registerId = json['register_id'];
  if (registerId != null) {
    userLoginEntity.registerId = registerId;
  }
  return userLoginEntity;
}

Map<String, dynamic> $UserLoginEntityToJson(UserLoginEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['auth_id'] = entity.authId;
  data['company_id'] = entity.companyId;
  data['e_admin_id'] = entity.eAdminId;
  data['token'] = entity.token;
  data['register_id'] = entity.registerId;
  return data;
}

extension UserLoginEntityExtension on UserLoginEntity {
  UserLoginEntity copyWith({
    int? authId,
    int? companyId,
    int? eAdminId,
    String? token,
    dynamic registerId,
  }) {
    return UserLoginEntity()
      ..authId = authId ?? this.authId
      ..companyId = companyId ?? this.companyId
      ..eAdminId = eAdminId ?? this.eAdminId
      ..token = token ?? this.token
      ..registerId = registerId ?? this.registerId;
  }
}